/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:refer8.c 12.0$ */
/* $ACIS:refer8.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.bin/refer/RCS/refer8.c,v $ */

#ifndef lint
static char *rcsid = "$Header:refer8.c 12.0$";
#endif

#ifndef lint
static char *sccsid = "@(#)refer8.c	4.1 (Berkeley) 5/6/83";
#endif

#include "refer..c"

static char ahead[1024];
static int peeked = 0;
static char *noteof = (char *) 1;

char *
input(s)
char *s;
{
	if (peeked) {
		peeked = 0;
		if (noteof == 0)
			return(0);
		strcpy(s, ahead);
		return(s);
	}
	return(fgets(s, 1000, in));
}

char *
lookat()
{
	if (peeked)
		return(ahead);
	noteof = input(ahead);
	peeked = 1;
	return(noteof);
}

addch(s, c)
char *s;
{
	while (*s)
		s++;
	*s++ = c;
	*s = 0;
}
